Get Organization Details
curl --request GET \
--url https://data.apartmentiq.io/apartmentiq/api/v2/stakeholder_entities/{stakeholder_entity_id}/details \
--header 'Authorization: Bearer <token>'import requests
url = "https://data.apartmentiq.io/apartmentiq/api/v2/stakeholder_entities/{stakeholder_entity_id}/details"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://data.apartmentiq.io/apartmentiq/api/v2/stakeholder_entities/{stakeholder_entity_id}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://data.apartmentiq.io/apartmentiq/api/v2/stakeholder_entities/{stakeholder_entity_id}/details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://data.apartmentiq.io/apartmentiq/api/v2/stakeholder_entities/{stakeholder_entity_id}/details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://data.apartmentiq.io/apartmentiq/api/v2/stakeholder_entities/{stakeholder_entity_id}/details")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://data.apartmentiq.io/apartmentiq/api/v2/stakeholder_entities/{stakeholder_entity_id}/details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "Greystar Real Estate Partners",
"entity_type": "Property Manager",
"image_url": "https://cdn.example.com/organizations/greystar.png",
"website_url": "https://www.greystar.com",
"domain_name": "greystar.com",
"linkedin_url": "https://www.linkedin.com/company/greystar",
"description": "Global rental housing operator.",
"company_entity_type": "company",
"company_legal_type": "private",
"year_founded": "1993",
"phone_number": "555-555-5555",
"employee_count_range": "1001-5000",
"headquarters_address": "123 Main Street",
"headquarters_city": "Charleston",
"headquarters_state": "SC",
"headquarters_zip_code": "29401",
"headquarters_country": "US",
"property_count": 10,
"total_unit_count": 2500,
"units_by_market": [
{
"market_id": 100,
"market_name": "Austin, TX",
"unit_count": 1500
}
],
"units_by_property_class": [
{
"property_class": "A",
"unit_count": 1100
}
],
"units_by_property_type": [
{
"property_type": "Garden",
"unit_count": 900
}
],
"market_rent_performance": [
{
"market_id": 100,
"market_name": "Austin, TX",
"ner_avg": 1550,
"ner_market_avg": 1500,
"asking_rent_avg": 1650,
"asking_rent_market_avg": 1600,
"occupancy_avg": 0.9456,
"occupancy_market_avg": 0.9234
}
]
}{
"error": "<string>",
"message": "<string>",
"quota_limit": 123,
"quota_usage": 123
}{
"error": "Stakeholder entity not found"
}You have exceeded the rate limit for this API.
Organizations
Get Organization Details
Fetch company profile fields and portfolio summary metrics for a stakeholder organization.
Requires Explore Pro Plus access.
GET
/
stakeholder_entities
/
{stakeholder_entity_id}
/
details
Get Organization Details
curl --request GET \
--url https://data.apartmentiq.io/apartmentiq/api/v2/stakeholder_entities/{stakeholder_entity_id}/details \
--header 'Authorization: Bearer <token>'import requests
url = "https://data.apartmentiq.io/apartmentiq/api/v2/stakeholder_entities/{stakeholder_entity_id}/details"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://data.apartmentiq.io/apartmentiq/api/v2/stakeholder_entities/{stakeholder_entity_id}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://data.apartmentiq.io/apartmentiq/api/v2/stakeholder_entities/{stakeholder_entity_id}/details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://data.apartmentiq.io/apartmentiq/api/v2/stakeholder_entities/{stakeholder_entity_id}/details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://data.apartmentiq.io/apartmentiq/api/v2/stakeholder_entities/{stakeholder_entity_id}/details")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://data.apartmentiq.io/apartmentiq/api/v2/stakeholder_entities/{stakeholder_entity_id}/details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "Greystar Real Estate Partners",
"entity_type": "Property Manager",
"image_url": "https://cdn.example.com/organizations/greystar.png",
"website_url": "https://www.greystar.com",
"domain_name": "greystar.com",
"linkedin_url": "https://www.linkedin.com/company/greystar",
"description": "Global rental housing operator.",
"company_entity_type": "company",
"company_legal_type": "private",
"year_founded": "1993",
"phone_number": "555-555-5555",
"employee_count_range": "1001-5000",
"headquarters_address": "123 Main Street",
"headquarters_city": "Charleston",
"headquarters_state": "SC",
"headquarters_zip_code": "29401",
"headquarters_country": "US",
"property_count": 10,
"total_unit_count": 2500,
"units_by_market": [
{
"market_id": 100,
"market_name": "Austin, TX",
"unit_count": 1500
}
],
"units_by_property_class": [
{
"property_class": "A",
"unit_count": 1100
}
],
"units_by_property_type": [
{
"property_type": "Garden",
"unit_count": 900
}
],
"market_rent_performance": [
{
"market_id": 100,
"market_name": "Austin, TX",
"ner_avg": 1550,
"ner_market_avg": 1500,
"asking_rent_avg": 1650,
"asking_rent_market_avg": 1600,
"occupancy_avg": 0.9456,
"occupancy_market_avg": 0.9234
}
]
}{
"error": "<string>",
"message": "<string>",
"quota_limit": 123,
"quota_usage": 123
}{
"error": "Stakeholder entity not found"
}You have exceeded the rate limit for this API.
Authorizations
Query Parameters
Response
Stakeholder organization details and portfolio summary metrics.
Stakeholder organization profile fields and portfolio summary metrics.